Orxonox: orxonox::HalfAxis Class Reference

# orxonox::HalfAxis Class Reference

`#include <src/core/input/HalfAxis.h>`

Inheritance diagram for orxonox::HalfAxis:

List of all members.

## Public Member Functions

bool | addParamCommand (ParamCommand *command)
void | clear ()
bool | execute ()
| HalfAxis ()

## Public Attributes

float | absVal_
bool | hasChanged_
unsigned int | nParamCommands_
ParamCommand ** | paramCommands_
bool | pressed_
float | relVal_

## Constructor & Destructor Documentation

orxonox::HalfAxis::HalfAxis | ( |  | ) | `[inline]`

## Member Function Documentation

bool orxonox::HalfAxis::addParamCommand | ( | ParamCommand * | command | ) | `[virtual]`

Reimplemented from orxonox::Button.

References nParamCommands_, and paramCommands_.

void orxonox::HalfAxis::clear | ( |  | ) | `[virtual]`

Reimplemented from orxonox::Button.

References orxonox::Button::clear(), nParamCommands_, and paramCommands_.

bool orxonox::HalfAxis::execute | ( |  | ) | `[inline]`

References absVal_, nParamCommands_, paramCommands_, and relVal_.

Referenced by orxonox::KeyBinder::tickHalfAxis().

## Member Data Documentation

float orxonox::HalfAxis::absVal_

Referenced by execute(), orxonox::KeyBinder::mouseMoved(), orxonox::KeyBinder::tickHalfAxis(), and orxonox::KeyBinder::updateMouse().

bool orxonox::HalfAxis::hasChanged_

Referenced by orxonox::KeyBinder::mouseMoved(), orxonox::KeyBinder::tickHalfAxis(), and orxonox::KeyBinder::updateMouse().

unsigned int orxonox::HalfAxis::nParamCommands_

Referenced by addParamCommand(), clear(), and execute().

ParamCommand** orxonox::HalfAxis::paramCommands_

Referenced by addParamCommand(), clear(), and execute().

bool orxonox::HalfAxis::pressed_

Referenced by orxonox::KeyBinder::tickHalfAxis().

float orxonox::HalfAxis::relVal_

Referenced by execute(), orxonox::KeyBinder::mouseMoved(), orxonox::KeyBinder::tickHalfAxis(), and orxonox::KeyBinder::updateMouse().

The documentation for this class was generated from the following files:

- src/core/input/HalfAxis.h
- src/core/input/HalfAxis.cc